# define MAJAMAME
MAJAMAME = 1

# tiny compile
COREDEFS = -DMAJAMAME

# uncomment the following lines to include a CPU core
CPUS+=Z80@
CPUS+=M68000@
CPUS+=M65C02@

# uncomment the following lines to include a sound core
SOUNDS+=CUSTOM@
SOUNDS+=DAC@
SOUNDS+=AY8910@
SOUNDS+=YM2203@

# enable only one of the following two
SOUNDS+=YM2610@
SOUNDS+=YM2413@
SOUNDS+=YM3812@
SOUNDS+=OKIM6295@
SOUNDS+=MSM5205@

DRVLIBS = \
	$(OBJ)/nichibut.a $(OBJ)/capcom.a $(OBJ)/taito.a $(OBJ)/metro.a \
	$(OBJ)/other.a $(OBJ)/seta.a $(OBJ)/vsystem.a \

$(OBJ)/nichibut.a: \
	$(OBJ)/machine/nb1413m3.o $(OBJ)/machine/m68kfmly.o \
	$(OBJ)/vidhrdw/hyhoo.o $(OBJ)/drivers/hyhoo.o \
	$(OBJ)/vidhrdw/mjsikaku.o $(OBJ)/drivers/mjsikaku.o \
	$(OBJ)/vidhrdw/gionbana.o $(OBJ)/drivers/gionbana.o \
	$(OBJ)/vidhrdw/pstadium.o $(OBJ)/drivers/pstadium.o \
	$(OBJ)/vidhrdw/niyanpai.o $(OBJ)/drivers/niyanpai.o \
	$(OBJ)/vidhrdw/pastelgl.o $(OBJ)/drivers/pastelgl.o \
	$(OBJ)/vidhrdw/sailorws.o $(OBJ)/drivers/sailorws.o \

$(OBJ)/taito.a: \
	$(OBJ)/vidhrdw/ttmahjng.o $(OBJ)/drivers/ttmahjng.o \
	$(OBJ)/vidhrdw/taito_f2.o $(OBJ)/drivers/taito_f2.o \
	$(OBJ)/vidhrdw/taitoic.o $(OBJ)/sndhrdw/taitosnd.o $(OBJ)/machine/cchip.o \

$(OBJ)/capcom.a: \
	$(OBJ)/vidhrdw/mitchell.o $(OBJ)/drivers/mitchell.o \
	$(OBJ)/machine/kabuki.o \

$(OBJ)/vsystem.a: \
	$(OBJ)/vidhrdw/fromance.o $(OBJ)/drivers/fromance.o \

$(OBJ)/seta.a: \
	$(OBJ)/vidhrdw/hanaawas.o $(OBJ)/drivers/hanaawas.o \
	$(OBJ)/vidhrdw/srmp2.o $(OBJ)/drivers/srmp2.o \
	$(OBJ)/vidhrdw/seta.o $(OBJ)/sndhrdw/seta.o $(OBJ)/drivers/seta.o \

$(OBJ)/metro.a: \
	$(OBJ)/vidhrdw/metro.o $(OBJ)/drivers/metro.o \

$(OBJ)/other.a: \
	$(OBJ)/drivers/royalmah.o \

COREOBJS += $(OBJ)/driver.o $(OBJ)/cheat.o

# generated text files
TEXTS += gamelist.txt

gamelist.txt: $(EMULATOR)
	@echo 쐬Ă܂  $@
	@$(CURPATH)$(EMULATOR) -gamelist -noclones -sortname > gamelist.txt
